//=================================================================
//
//  Simple RF powermeter
//
//  (c) Dietmar Krause, DL2SBA
//
//  License see https://creativecommons.org/licenses/by/4.0/
//

#ifndef _CONFIG_H
#define _CONFIG_H

#define EE_MAGIC            (uint16_t) 0x0808

#define EE_ADR_MAGIC        0x00    //  2 bytes
#define EE_ADR_PEAKDELAY    0x02    //  2 bytes
#define EE_ADR_PEAKDECAY    0x04    //  2 bytes
#define EE_ADR_AVERAGE      0x06    //  2 bytes
#define EE_ADR_BACKLIGHT    0x08    //  1 byte
#define EE_ADR_POWEROFFSET  0x09    //  1 byte
#define EE_ADR_SERIALNO     0x0A    //  5 byte
#define EE_ADR_CALFREQ      0x0f    //  1 byte
#define EE_ADR_K_PARMS      0x10    //  following the K parameters

extern void readConfig (void);
extern void writeConfig (void);

#endif
